# Asterisk Project : Asterisk 13 AGICommand_get variable

Created by wikibot on Aug 08, 2014

# GET VARIABLE

### Synopsis

Gets a channel variable.

### Description

Returns `0` if variablename is not set. Returns `1` if variablename is set and returns the variable in parentheses.

Example return code: 200 result=1 (testvariable)

### Syntax

    GET VARIABLE VARIABLENAME

##### Arguments

- `variablename`

### See Also

### Import Version

This documentation was imported from Asterisk Version SVN-branch-13-r420538